% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ec2_operations.R
\name{ec2_export_client_vpn_client_certificate_revocation_list}
\alias{ec2_export_client_vpn_client_certificate_revocation_list}
\title{Downloads the client certificate revocation list for the specified
Client VPN endpoint}
\usage{
ec2_export_client_vpn_client_certificate_revocation_list(
  ClientVpnEndpointId, DryRun)
}
\arguments{
\item{ClientVpnEndpointId}{[required] The ID of the Client VPN endpoint.}

\item{DryRun}{Checks whether you have the required permissions for the action, without
actually making the request, and provides an error response. If you have
the required permissions, the error response is \code{DryRunOperation}.
Otherwise, it is \code{UnauthorizedOperation}.}
}
\value{
A list with the following syntax:\preformatted{list(
  CertificateRevocationList = "string",
  Status = list(
    Code = "pending"|"active",
    Message = "string"
  )
)
}
}
\description{
Downloads the client certificate revocation list for the specified
Client VPN endpoint.
}
\section{Request syntax}{
\preformatted{svc$export_client_vpn_client_certificate_revocation_list(
  ClientVpnEndpointId = "string",
  DryRun = TRUE|FALSE
)
}
}

\keyword{internal}
